## rlpr 1.43

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# $Id: Makefile.in,v 1.2 1996/11/04 05:41:29 meem Exp meem $
#
#

SHELL           = /bin/sh
srcdir 		= .
prefix 		= /usr
exec_prefix     = $(prefix)
bindir          = $(exec_prefix)/bin
mandir          = $(prefix)/man


VERSION	        = 1.43
PACKAGE		= rlpr
distdir		= $(PACKAGE)-$(VERSION)

#
# set up common commands
#
CC              = gcc
INSTALL         = /usr/bin/install
INSTALL_PROGRAM = /usr/bin/install
INSTALL_DATA    = ${INSTALL} -m 644
LN_S            = ln -s

#
# files in the distribution
#

PROGRAMS   	= rlpr rlprd
SOURCES 	= rlpr.c rlpr-net.c rlpr-dbfile.c rlpr-common.c rlprd.c getopt.c getopt1.c 
HEADERS 	= rlpr.h rlpr-net.h rlpr-dbfile.h rlpr-common.h rlprd.h wait.h getopt.h
MANS    	= rlprrc.5 rlprd.8 rlpr.1
DOCS    	= README CHANGES INSTALL
CONFIGS 	= configure Makefile.in config.h.in
MISC    	= rlpr-$(VERSION).lsm
DISTFILES       = $(SOURCES) $(HEADERS) $(MANS) $(DOCS) $(MISC) $(CONFIGS)

CPPFLAGS        = 
CFLAGS 		= -g -O2 
COMPILE         = $(CC) -c -DHAVE_CONFIG_H $(CPPFLAGS) $(CFLAGS)
LDFLAGS         = 
LIBS            = -lbsd 
LINK            = $(CC) $(LDFLAGS) -o $@

rlpr_OBJECTS    = rlpr.o rlpr-net.o rlpr-dbfile.o rlpr-common.o getopt.o getopt1.o 
rlprd_OBJECTS   = rlprd.o rlpr-common.o getopt.o getopt1.o

.c.o:
	$(COMPILE) $<

all: $(PROGRAMS)

rlpr:  $(rlpr_OBJECTS) $(rlpr_DEPENDENCIES)
	$(LINK) $(rlpr_OBJECTS) $(LIBS)

rlprd: $(rlprd_OBJECTS) $(rlprd_DEPENDENCIES)
	$(LINK) $(rlprd_OBJECTS) $(LIBS)

clean: 
	-rm -f *.o *~ $(PROGRAMS) core

distclean: clean
	-rm -f Makefile config.status config.cache config.log stamp-h config.h

lpr: rlpr install
	@if [ ! `whoami` = "root" ]; then \
	 echo "for rlpr to be installed as lpr, you must be root.."; \
	 exit 1; \
	fi
	@bsdlpr=`which lpr` || { \
	 echo "lpr cannot be found on your system.. aborting.."; \
	 exit 1; \
	}; \
	echo "saving $$bsdlpr as $${bsdlpr}.bsd"; \
	mv $$bsdlpr $${bsdlpr}.bsd; \
	echo "symlinking $$bsdlpr to rlpr"; \
	$(LN) $(bindir)/rlpr $$bsdlpr

install: all
	@if [ ! -d $(bindir) ]; then \
	 echo "install directory $(bindir) isn't a directory, aborting.."; \
	 exit 1; \
	fi
	@for f in $(PROGRAMS); do \
	 echo "installing $$f to $(bindir) setuid root..."; \
	  $(INSTALL) -m 4755 -o root -g root -s $$f $(bindir) 2> /dev/null || { \
	  echo "*** unable to install $$f root"; \
	  if [ $$f = "rlpr" ]; then \
	    echo "*** please be sure to read documentation about using rlprd as a proxy"; \
	  elif [ $$f = "rlprd" ]; then \
	    echo "*** to be of use, rlprd must be installed setuid root. if you need it"; \
	    echo -e "*** for your configuration, please rerun \"make install\" as root"; \
	  fi; \
	  echo "installing $$f to $(bindir) non-setuid root..."; \
	  $(INSTALL_PROGRAM) -s $$f $(bindir); \
	}; \
	done
	@echo; \
	if [ ! -d $(mandir) ]; then \
	 echo "manpage directory $(mandir) isn't a directory, not installing manpages.."; \
	else for f in $(MANS); do \
	  ext=`echo $$f | cut -d. -f2`; \
	  echo "installing $$f to $(mandir)/man$${ext}"; \
	   $(INSTALL) -d $(mandir)/man$${ext}; \
	   $(INSTALL_DATA) $$f $(mandir)/man$${ext}; \
	done \
	fi 
	@echo; \
	echo "installation successful. please see README for details on getting started"

uninstall:
	-rm -f $(bindir)/rlpr
	-rm -f $(bindir)/rlprd
	-rm -f $(mandir)/man1/rlpr.1
	-rm -f $(mandir)/man5/rlprrc.5
	-rm -f $(mandir)/man8/rlprd.8

${srcdir}/configure: configure.in aclocal.m4
	cd ${srcdir} && autoconf

${srcdir}/config.h.in: stamp-h.in
${srcdir}/stamp-h.in: configure.in 
	cd ${srcdir} && autoheader
	echo timestamp > ${srcdir}/stamp-h.in
config.h: stamp-h
stamp-h: config.h.in config.status
	./config.status

Makefile: Makefile.in config.status
	./config.status

config.status: configure
	./config.status --recheck

TAGS:
	etags ${srcdir}/*.[ch]

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## rlpr 2.05

=== debian/changelog ===
rlpr (2.05-5) unstable; urgency=medium

  * QA upload.
  * Switch to debhelper compat level 10 (Closes: #817653).
  * Switch to 3.0 (quilt) format.
  * Switch to dh(1).
  * Drop old preinst.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 28 Nov 2016 21:27:18 +0500

rlpr (2.05-4) unstable; urgency=low

  * Update config.{sub,guess} on configure (Closes: #535718)

 -- Ari Pollak <ari@debian.org>  Mon, 10 Aug 2009 12:00:57 -0400

rlpr (2.05-3) unstable; urgency=low

  * Fix preinst script that failed when /usr/doc/rlpr didn't exist
    (Closes: #345381)

 -- Ari Pollak <ari@debian.org>  Fri, 30 Dec 2005 19:58:18 -0500

rlpr (2.05-2) unstable; urgency=low

  * Remove /usr/doc/rlpr symlink on upgrade (Closes: #338238)

 -- Ari Pollak <ari@debian.org>  Wed, 28 Dec 2005 17:06:52 -0500

rlpr (2.05-1) unstable; urgency=low

  * Adopt package
  * New upstream release
  * Clean up some compiler warnings
  * Update rules file to use debhelper
  * Update standards-version to 3.6.2; no changes required
  * Acknowledge previous NMUs (Closes: #255402)

 -- Ari Pollak <ari@debian.org>  Thu, 11 Aug 2005 21:10:26 -0400

rlpr (2.02-8.0) unstable; urgency=medium

  * Non-maitnainer upload by the Security Team
  * No-changes rebuilt so that the package for stable can migrate into
    proposed updates, since the version needs to look like the following:
    stable << proposed-updates << testing/unstable

 -- Martin Schulze <joey@infodrom.org>  Sat, 20 Nov 2004 10:12:10 +0100

rlpr (2.02-7.1) unstable; urgency=HIGH

  * NMU
  * Merge changes from DSA-524. Closes: #255402
  * Fix format string vulnerability in msg() (CAN-2004-0393)
  * Fix buffer overflow vulnerability in msg() (CAN-2004-0454)

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Oct 2004 13:51:01 -0400

rlpr (2.02-7) unstable; urgency=medium

  * Modified postinst to ignore an existing /usr/doc/$package directory.

 -- Brian Mays <brian@debian.org>  Wed, 20 Mar 2002 11:21:15 -0500

rlpr (2.02-6) unstable; urgency=low

  * Removed "-g" gcc option as per policy.
  * Fixed symlink /usr/doc -> ../share/doc.
  * Fixed reference to GPL.
  * Improved stripping of binaries.

 -- Brian Mays <brian@debian.org>  Sat,  2 Feb 2002 15:36:03 -0500

rlpr (2.02-5) unstable; urgency=low

  * Changed priority to "optional".
  * Added documentation on creating the BSD compatibility symlinks.

 -- Brian Mays <brian@debian.org>  Sun, 25 Mar 2001 09:06:04 -0500

rlpr (2.02-4) unstable; urgency=low

  * Removed suidmanager support (I always hated that stupid program).

 -- Brian Mays <brian@debian.org>  Wed,  7 Feb 2001 11:58:03 -0500

rlpr (2.02-3) unstable; urgency=low

  * Fixed FHS /usr/doc -> /usr/share/doc transition scheme.
  * Added suidregister support.  (Closes: Bug#46259)

 -- Brian Mays <brian@debian.org>  Fri,  1 Oct 1999 15:10:08 -0400

rlpr (2.02-2) unstable; urgency=low

  * Modified to comply with the FHS.

 -- Brian Mays <brian@debian.org>  Thu, 16 Sep 1999 19:22:31 -0400

rlpr (2.02-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Tue,  7 Sep 1999 09:42:14 -0400

rlpr (2.01-2) unstable; urgency=low

  * Fixed bug preventing the -N option from working when rlpr is run
    by root.  (Closes Bug#39229)

 -- Brian Mays <brian@debian.org>  Thu, 10 Jun 1999 16:18:31 -0400

rlpr (2.01-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Fri, 14 May 1999 12:44:01 -0400

rlpr (2.00-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Sun, 17 Jan 1999 10:30:41 -0500

rlpr (1.51-3) unstable; urgency=low

  * Fixed Bug#14325.
  * Fixed problem in Makefile.in with installing /etc/rlprrc.
  * Made /etc/rlprrc a configuration file.

 -- Brian Mays <brian@debian.org>  Wed,  3 Dec 1997 19:47:04 -0500

rlpr (1.51-2) unstable; urgency=low

  * Libc6 release.

 -- Brian Mays <brian@debian.org>  Tue,  5 Aug 1997 18:09:30 -0400

rlpr (1.51-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.

 -- Brian Mays <brian@debian.org>  Mon, 5 May 1997 10:22:50 -0400

rlpr (1.50-1) unstable; urgency=low

  * Upstream update

 -- Richard G. Roberto <richr@bear.com>  Wed, 16 Apr 1997 15:24:48 +0900

rlpr (1.43-1) unstable; urgency=low

  * Upstream update

 -- Richard Roberto <richr@bear.com>  Thu, 17 Jan 1997 14:49:43 +0900

rlpr (1.42-1) unstable; urgency=low

  * Upstream update
  * New maintainer

 -- Richard Roberto <richr@bear.com>  Thu, 16 Jan 1997 13:39:43 +0900

rlpr (1.41-1) unstable; urgency=low

  * Upstream update

 -- Christoph Lameter <clameter@debian.org>  Sun, 22 Dec 1996 15:52:54 -0800

rlpr (1.40-1) unstable; urgency=low

  * Upstream update

 -- Christoph Lameter <clameter@debian.org>  Thu, 17 Oct 1996 08:20:56 +0800

rlpr (1.30-2) unstable; urgency=high

  * Received a fix for security hole from the author

 -- Christoph Lameter <clameter@debian.org>  Sat, 12 Oct 1996 21:17:59 +0800

rlpr (1.30-1) unstable; urgency=low

  * New upstream release

 -- Christoph Lameter <clameter@debian.org>  Sat, 12 Oct 1996 08:17:40 +0800

rlpr (1.21-1) unstable; urgency=low

  * Initial Release

 -- Christoph Lameter <clameter@debian.org>  Sun, 15 Sep 1996 14:51:46 +0800

=== debian/control ===
Source: rlpr
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10), autotools-dev

Package: rlpr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A utility for lpd printing without using /etc/printcap
 Rlpr makes it possible (or at the very least, easier), to print files
 on remote sites to your local printer, and vice versa.  The rlpr
 package includes BSD-compatible replacements for 'lpr', 'lpq', and
 'lprm', whose functionality is a superset of their BSD counterparts.  In other
 words, with the rlpr package, you can do everything you can do with the BSD
 printing commands, and more.  The programs contained within the rlpr
 package are all GPL'd, and are more lightweight, cleaner and more
 secure than their BSD counterparts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --without autoreconf --with autotools_dev

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## rlpr 2.06

=== debian/changelog ===
rlpr (2.06-3) unstable; urgency=medium

  * debian/control: bump standard to 4.7.2 (no changes)
  * add gcc15.patch (Closes: #1097795)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 08 Sep 2025 22:03:02 +0200

rlpr (2.06-2) unstable; urgency=medium

  * add implicit.patch (Closes: #1066639)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Mar 2024 14:03:02 +0100

rlpr (2.06-1) unstable; urgency=medium

  * new upstream version 2.06
    (found at https://fossies.org/linux/misc/old/rlpr-2.06.tar.gz)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 06 Oct 2023 19:03:02 +0200

rlpr (2.05-6) unstable; urgency=medium

  * new maintainer (Closes: #846080)
  * debian/coypright: convert to DEP5
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: move maintenance to debian-printing team

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Sep 2023 19:03:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: rlpr
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10), autotools-dev
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 10)
+Vcs-Browser: https://salsa.debian.org/printing-team/rlpr
+Vcs-Git: https://salsa.debian.org/printing-team/rlpr.git
+Rules-Requires-Root: no
 
 Package: rlpr
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: A utility for lpd printing without using /etc/printcap
+Description: utility for lpd printing without using /etc/printcap
  Rlpr makes it possible (or at the very least, easier), to print files
  on remote sites to your local printer, and vice versa.  The rlpr
  package includes BSD-compatible replacements for 'lpr', 'lpq', and

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
#	dh $@ --without autoreconf --with autotools_dev
	dh $@ --without autoreconf

override_dh_installchangelogs:
	dh_installchangelogs NEWS
